\chapter{Conclusion \label{chap:Conclusion}}


This thesis describes the mathematical model of \gls{pmsm} and analyzes three control algorithms for this type of motor.
All three of them, the field-oriented PI controller, \gls{ccsmpc}, and \gls{fcsmpc}, were capable of current control.
For the velocity control, however, it turned out that it is difficult to design a stable closed-loop with \gls{fcsmpc}.
This is a general problem in systems with both fast and slow dynamics.
In \gls{pmsm}, the electrical part requires fast controller as the electrical time constant is small.
The mechanical one is usually greater and cascaded control structures are more suitable.
However, when voltage modulation stage is used, it is possible to design single-loop velocity controller.
To design stable position controller for used \gls{pmsm}, it turned out that the cascaded structure is required.
 

